EOS-magazine-news

LATEST NEWS

Categories

News archive

Wednesday, 10 October 2012

EOS Utility 2.12.0 updater for Mac OS

According to Canon, the main change for EOS Utility 2.12.0 is that it supports the EOS M.

However, a problem with the earlier EOS Utility 2.11.4 when used with Mac 10.7.x (Lion) or 10.8.x (Mountain Lion) was an incompatibility with the EOS 5D Mark III. This appears to have been resolved by the latest update.

If you are using a Mac OS earlier than 10.6.8, Canon recommends that you use EOS Utility 2.10.2. Also, EOS Utility cannot be used with WFT on computers running Mac OS X 10.8.0 to 10.8.1 (it can be used on Mac OS X 10.8.2.

Supported cameras are the:
EOS 1D X, 1D Mark IV, 1D Mark III, 1Ds Mark III, 5D Mark III, 5D Mark II, 7D, 60D, 60Da, 50D, 40D, 650D, 600D, 550D, 500D, 450D, 1100D, 1000D, EOS M.

>>more information and download



Here to help 01869 331741

email2